Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 167087 - FC4 gdm.conf broke FC5 gdm
Summary: FC4 gdm.conf broke FC5 gdm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-08-30 05:10 UTC by Warren Togami
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-01 23:09:27 UTC


Attachments (Terms of Use)

Description Warren Togami 2005-08-30 05:10:13 UTC
Description of problem:
GDM has been notorious through its existence for breaking upon upgrades due to
config file changes.  We were again bitten by this in Jens' FC4 to rawhide
upgrade, where his gdm failed to work.

We are stuck between two conflicting requirements:
1) Allow custom options to continue working after upgrades.
2) gdm should actually work after upgrades.

Bug #135510 described a robust solution to this problem, but it would require a
good amount of upstream work to make into a reality.

Version-Release number of selected component (if applicable):
gdm-2.8.0.2-2

Comment 1 Ray Strode [halfline] 2005-08-30 14:09:22 UTC
Honestly I think you've come up with an overengineered solution.  The
configuration file doesn't change that much anymore.  I think we should just try
making it %config(noreplace) again.



Comment 2 Warren Togami 2005-08-30 18:17:26 UTC
Uh... you do realize that "noreplace" guarantees that the old config file will
never be replaced by the new RPM?

This keeps breaking with new gdm upgrades because of gdm upstream's bad design. =(

Comment 3 Ray Strode [halfline] 2005-08-30 18:27:45 UTC
Yes,

IIRC, it's currently config(replace) and so people have to keep modifying their
settings every upgrade.

Wait, what is Jen's problem?

1) he upgraded and lost his settings (what i thought)
2) he upgraded and then copied his old config file on top of the newly made
config file and stuff broke (what I'm thinking may have happened now)


Comment 5 Matthias Clasen 2007-04-01 23:09:27 UTC
This has been in NEEDINFO for a long time without any feedback, closing.


Note You need to log in before you can comment on or make changes to this bug.